Open Infrastructure - Task #6694

Setup matrix server and bridge matermost into it
05/16/2019 05:23 PM - Nico Schottelius
Description

¢ ... and maybe on the way switch to matrix by default?
o unclear, needs testing before

¢ Requested by at least two users, last one on https://twitter.com/gryoxis/status/1129034888924016644

e As usual everything via cdist

History

#1 - 12/17/2019 12:37 PM - Timothée Floure

I've been working on matrix cdists types during the last H4G: https:/redmine.ungleich.ch/issues/7345

It's not complete yet as it requires testing & tuning for various distributions but the general structure is done: https:/git.sr.ht/~fnux/matrix-cdist-types.

Someone asked me if ungleich had a matrix offer a few days ago, which could be intersting given that matrix adoption is going up and that the current
offer is usually expensing (e.g. https:/modular.im/services/matrix-hosting#pricing).

Feel free to assign me the issue.

#2 - 12/17/2019 12:50 PM - Nico Schottelius
- Description updated

- Assignee set to Timothée Floure

#3 - 12/19/2019 09:59 AM - Nico Schottelius
- Priority changed from Normal to High

#4 - 12/30/2019 07:37 AM - Timothée Floure

- Status changed from New to In Progress

#5 - 12/30/2019 06:03 PM - Timothée Floure

The matrix deployment is WIP in https://code.ungleich.ch/ungleich-intern/dot-cdist/merge_requests/64/diffs and is starting to look quite decent. | hope

to have it usable by tuesday or wednesday depending on the work time | can allocate to ungleich.

#6 - 12/31/2019 04:25 PM - Timothée Floure

- Status changed from In Progress to Waiting

The matrix deployment works modulo: * Federating with the IPv4 world (a few lines to add to haproxy's configuration) * Rebuilding ungleich's
production LDAP environment to be able to use custom service accounts in a clean way: https:/redmine.ungleich.ch/issues/7545

| haven't investigated mattermost<->matrix bridging yet.

#7 - 12/31/2019 06:19 PM - Timothée Floure

- Status changed from Waiting to In Progress

After discussion with nico, Matrix get priority over LDAP setup rebuild.

#8 - 01/12/2020 09:12 PM - Timothée Floure

Everything's in place, we just have to choose the channels to be bridged.
#9 - 01/20/2020 12:06 PM - Timothée Floure

- Status changed from In Progress to Closed

Relevant channels have been bridged. Closing.
